Page tree
Contents

This section lists our recommended hardware and software requirements to install and run the ANDS Registry Software:

  • OS: Linux - RHEL/CentOS 6 or 6.5
  • A minimum of 60GB disk space. (Large databases with hundreds of thousands of entries can require up to 120GB+)
  • At minimum of 4GB of memory.
  • Xeon(R) CPU E5-2670 @ 2.6GHz processor (or similar)

Example Setup

Setting up a server environment for the ANDS Registry Software running on CentOS 6.5.

This guide is illustrative only and is provided without any warranty of any kind. You are responsible for understanding the effects/implications of any command before you execute it. This guide relies on root access to your system, and instructions are provided as if the server were a brand new instance. Any data/software applications already installed may be affected whilst executing the commands in this guide.
This is one of many ways that these software packages can be installed. If in doubt, contact your system administrator for assistance.

The server will require seboolean httpd_can_network_connect to be turn on, so we should make sure that this configuration is in place with

getsebool -a | grep httpd_can_network_connect

Make sure httpd_can_network_connect is turn on with

setsebool httpd_can_network_connect true

It is advisable to turn selinux into permissive state, and not turn off completely for security reasons.

Install Software Repositories

EPEL, REMI and webtatic yum repository (https://webtatic.com/projects/yum-repository/)

yum install epel-release
rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm
yum install http://www.percona.com/downloads/percona-release/redhat/0.1-3/percona-release-0.1-3.noarch.rpm

Install the main dependencies

yum install httpd java-1.7.0-openjdk-devel git vim-enhanced wget php55w php55w-common php55w-ldap php55w-mysql php55w-mbstring php55w-xml php55w-pdo Percona-Server-server-55 php55w-devel mod_ssl openssl-devel ant ant-contrib
If your server requires PHP5.6, replace all instance of php with php56w

If there is a requirement to install SOLR in Tomcat (The installation guide will run SOLR 4.10.4 in it's own Jetty container), make sure to install Tomcat

yum install tomcat6 tomcat6-webapps
  • No labels